{{/*
apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: {{ include "monitoring.fullname" $ }}-app-key
spec:
  refreshInterval: 1h

  secretStoreRef:
    kind: ClusterSecretStore
    name: gitlab-secret-store # Must match SecretStore on the cluster

  target:
    name: ptero-app-key # Name for the secret to be created on the cluster
    creationPolicy: Owner

  data:
    - secretKey: app-key # Key given to the secret to be created on the cluster
      remoteRef:
        key: PTERO_APP_KEY # Key of the variable on Gitlab
*/}}
